unit displayopt;
{/*******************************************************************************
'   frmDisplayOpt.frm within DelphiSpec.dpr
'
'   Display size dialog box
'
'   Original author (vbSpec): Chris Cowley <ccowley@grok.co.uk>
'   Copyright (C)1999-2000 Grok Developments Ltd.
'   http://www.grok.co.uk/
'
'   Translation to Delphi Object Pascal by
'   Jari Korhonen <jarit.korhonen@luukku.com>
'   Copyright (C) 2001- Jari Korhonen
'
'   This program is free software; you can redistribute it and/or
'   modify it under the terms of the GNU General Public License
'   as published by the Free Software Foundation; either version 2
'   of the License, or (at your option) any later version.
'   This program is distributed in the hope that it will be useful,
'   but WITHOUT ANY WARRANTY; without even the implied warranty of
'   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
'   GNU General Public License for more details.
'
'   You should have received a copy of the GNU General Public License
'   along with this program; if not, write to the Free Software
'   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
'
' *******************************************************************************/}

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls;

type
  TfrmDisplayOpt = class(TForm)
    grpDisplaySize: TRadioGroup;
    btnOK: TButton;
    btnCancel: TButton;
    procedure btnOKClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmDisplayOpt: TfrmDisplayOpt;

implementation

uses modMain;

{$R *.DFM}

procedure TfrmDisplayOpt.btnOKClick(Sender: TObject);
  var Ind : integer;
begin
  Ind := grpDisplaySize.ItemIndex;
  If Ind = 0 Then
    SetDisplaySize(256, 192)
  Else If Ind = 1 Then
    SetDisplaySize(512, 384)
  Else If Ind = 2 Then
    SetDisplaySize(768, 576)
  Else
    SetDisplaySize(256, 192);
end;

procedure TfrmDisplayOpt.FormShow(Sender: TObject);
begin
    If glDisplayWidth = 256 Then
    begin
      grpDisplaySize.ItemIndex := 0
    end
    Else If glDisplayWidth = 512 Then
    begin
      grpDisplaySize.ItemIndex := 1
    end
    Else If glDisplayWidth = 768 Then
    begin
      grpDisplaySize.ItemIndex := 2;
    End;
end;

end.
